Subject: Ticket Assigned - Article Feedback - Where is Same Day Delivery available?
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 30 Nov 2022 16:57:05 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - Where is Same Day Delivery available? Feedback for:  Where is Same Day Delivery available? I called thr call center and she is not helpful! Make me more frustrated as she cannot find any solution or answer to my question! I ask for her to contact the courier for my order because it is supposed to be delivered today and i saw that it wa sout for delivery yet i didnt receive any message or call from courier that it will be deliver today! I saw it is out for deliver at 8 am and its already past 8 pm and i didnt receive anything.. this is really frustrating. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5383977